Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002627 [JEDI VCL] 00 JVCL Components minor always 2005-02-11 06:44 2005-08-10 10:05
Reporter francois_piette View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002627: JEDI Plugin Wizard is installed in the wrong tab for french localized Delphi 7
Description JEDI Plugin Wizard is installed in the wrong tab for french localized Delphi 7 (and probably all other versions): it goes to the "projects" tab where it should go to the "Projets" tab (please note that in french there is no 'c' char before 't').
Additional Information
Tags No tags attached.
Attached Files zip file icon JediUsesWizard.zip [^] (46,846 bytes) 2005-02-14 00:36

- Relationships

-  Notes
(0006466)
obones (administrator)
2005-02-12 02:25

How do you detect it's a French version that is installed ?
(0006470)
francois_piette (reporter)
2005-02-12 03:30

> How do you detect it's a French version that is installed ?

I have no idea, but why not having all messages or text constant into a resource string and have the installer ask which language to use and the selmect the appropriate resource ?
(0006491)
robert_marquardt (developer)
2005-02-14 00:38

I have uploaded the Jedi Uses Wizard.
This is a nice tricky wizard for the JCL.
It detects the *localized* error message if you used an identifier from the JCL without the corresponding unit in uses. It then adds the unit and recompiles.

With the information contained theein it should be possible to pluck the localized string for "Projects" from Delphi.
(0007790)
obones (administrator)
2005-08-10 10:05

This is now fixed in CVS.
Note that it uses the JclBorlandTools unit which provides the list of pages for a given installation.

- Issue History
Date Modified Username Field Change
2005-02-11 06:44 francois_piette New Issue
2005-02-12 02:25 obones Note Added: 0006466
2005-02-12 03:30 francois_piette Note Added: 0006470
2005-02-14 00:36 robert_marquardt File Added: JediUsesWizard.zip
2005-02-14 00:38 robert_marquardt Note Added: 0006491
2005-08-10 10:05 obones Status new => resolved
2005-08-10 10:05 obones Resolution open => fixed
2005-08-10 10:05 obones Assigned To => obones
2005-08-10 10:05 obones Note Added: 0007790


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker